package com.bwie.auth.service;

import com.bwie.common.domain.User;
import com.bwie.common.result.Result;

/**
 * @Author：杨鹏
 * @Package：com.bwie.auth.service
 * @Project：yp_yuekao812
 * @name：AuthService
 * @Date：2024/8/12 9:53
 */
public interface AuthService {

    /**
     * 登录
     */
    Result<User> login(User user);

    /**
     * 登录认证
     */
    Result info();

    /**
     * 退出登录
     */
    void logout();

    /**
     * 注册
     */
    Result addUser(User user);

}
