package com.bwie.common.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：杨鹏
 * @Package：com.bwie.common.domain
 * @Project：yp_yuekao812
 * @name：Product
 * @Date：2024/8/12 11:08
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class Product {


    /**
     * 主键
     */
    private Long productId;

    /**
     * 商品名称
     */
    private String productName;

    /**
     * 商品类型ID
     */
    private Long typeId;

    /**
     * 商品价格
     */
    private String productPrice;

    /**
     * 商品类型名称
     */
    private String typeName;

    /**
     * 商品数量
     */
    private String productCount;

}
