package com.bwie.user.mapper;

import com.bwie.common.domain.User;
import org.apache.ibatis.annotations.Mapper;

/**
 * @Author：杨鹏
 * @Package：com.bwie.user.mapper
 * @Project：yp_yuekao812
 * @name：UserMapper
 * @Date：2024/8/12 9:43
 */
@Mapper
public interface UserMapper {

    /**
     * 登录信息验证
     */
    User login(String userName);

    /**
     * 注册
     */
    Integer addUser(User user);

    /**
     * 登录信息验证 用户手机号
     */
    User listUserPhone(String userPhone);

}
