package com.bwie.common.domain;

import lombok.Data;

/**
 * @Author：杨鹏
 * @Package：com.bwie.common.domain
 * @Project：yp_yuekao812
 * @name：Shopping
 * @Date：2024/8/12 16:43
 */
@Data
public class Shopping {

    /**
     * 主键
     */
    private Long shoppingId;
    /**
     * 商品ID
     */
    private Long productId;
    /**
     * 购物车中商品数量
     */
    private String shoppingCount;

    /**
     * 商品名称
     */
    private String productName;

    /**
     * 商品类型ID
     */
    private Long typeId;

    /**
     * 商品价格
     */
    private String productPrice;

    /**
     * 商品类型名称
     */
    private String typeName;

}
