package com.bwie.common.domain;

import lombok.Data;
/**
 * @Author：杨鹏
 * @Package：com.bwie.common.domain
 * @Project：yp_yuekao812
 * @name：User
 * @Date：2024/8/12 9:47
 */
@Data
public class User {

    /**
     * 主键
     */
    private Long userId;
    /**
     * 用户名称
     */
    private String userName;
    /**
     * 用户手机号
     */
    private String userPhone;
    /**
     * 用户密码
     */
    private String userPwd;
    /**
     * 用户权限管理
     */
    private String userStatus;

    /**
     * 用户余额
     */
    private Double userPrice;

    /**
     * token令牌
     */
    private String token;

}
