package com.bwie.es.feign;

import com.bwie.common.domain.Product;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

import java.util.List;

/**
 * @Author：杨鹏
 * @Package：com.bwie.es.feign
 * @Project：yp_yuekao812
 * @name：ProductFeign
 * @Date：2024/8/12 11:52
 */
@FeignClient("bwie-car")
public interface ProductFeign {

    /**
     * 查询数据
     */
    @GetMapping("product/listProduct")
    public Result<List<Product>> listProduct();

}
