package com.bwie.es.service;

import com.bwie.common.domain.Product;
import com.bwie.common.result.PageResult;
import com.bwie.common.result.Result;

import java.util.List;

/**
 * @Author：杨鹏
 * @Package：com.bwie.es.service
 * @Project：yp_yuekao812
 * @name：EsService
 * @Date：2024/8/12 13:34
 */
public interface EsService {
    /**
     * es列表查询
     */
//    List<Product> listProduce(Product product);

    Result<PageResult<Product>> listProduce(Product product);


    /**
     * es列表添加
     */
    void addProduce(Product product);


    /**
     * 批量同步添加
     */
    void adds(List<Product> productList);

    /**
     * 删除
     */
    void del();

    /**
     * es列表修改
     */
    void updProduce(Product product);

}
